%define	soxlib	st
%define	major	2
%define	libname	%mklibname %{soxlib} %{major}

Summary:	A general purpose sound file conversion tool
Name:		sox
Version:	14.4.1
Release:	%mkrel 2
License: 	LGPL
Group:		Sound
Url:		http://sox.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/sox/%{name}-%{version}.tar.xz
BuildRequires:	oggvorbis-devel mad-devel gsm-devel ffmpeg-devel libsndfile-devel
BuildRequires:	lame-devel libwavpack-devel ladspa-devel libmagic-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	libst0
Provides:	libsox1 = %{version}-%{release}

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.

%package devel
Summary:	Development headers and libraries for sox
Group:		Development/Libraries
Provides:	lib%{soxlib}-devel = %{version}-%{release}
Provides:	%{soxlib}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Requires:	%{name} = %{version}
Requires:	libpulseaudio-devel >= 2.0
Provides:	%mklibname sox 0 -d
Obsoletes:	%mklibname st 0 -d

%description devel
Development headers and libraries for sox.

%prep
%setup -q -n %{name}-%{version}
autoreconf

%build
CFLAGS="%{optflags} -DHAVE_SYS_SOUNDCARD_H=1 -D_FILE_OFFSET_BITS=64 -fPIC -DPIC" \
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

ln -sf play %{buildroot}%{_bindir}/rec

cat << EOF > %{buildroot}%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF
chmod 755 %{buildroot}%{_bindir}/soxplay

ln -snf play %{buildroot}%{_bindir}/rec
ln -s play.1%{_extension} %{buildroot}%{_mandir}/man1/rec.1%{_extension}

rm -rf %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README NEWS AUTHORS
%{_bindir}/sox*
%{_bindir}/play
%{_bindir}/rec
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_libdir}/libsox.so.%{major}*

%files devel
%defattr(-,root,root)
%{_libdir}/libsox.a
%{_libdir}/libsox.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Nov 16 2014 bb <bb> 14.4.1-2pclos2014
- rebuild ffmpeg 2.4.3

* Sun Oct 06 2013 bb <bb> 14.4.1-1pclos2013
- 14.4.1

* Mon Jul 11 2011 MBantz <martin dot bantz at gmail dot com> 14.3.0-5pclos2011
- Rebuilt against updated x.264

